{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    blog-source = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      type = "git";
      submodules = true;
    };
    blog-source-localized = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      ref = "localization";
      type = "git";
      submodules = true;
    };
  };

  outputs = { self, blog-source, blog-source-localized, nixpkgs, flake-utils }:
    {
      buildersFor = system: import ./lib.nix {
        inherit blog-source blog-source-localized;
        pkgs = import nixpkgs { inherit system; };
      };
      nixosModule = (import ./module.nix);
    };
}
